summaryrefslogtreecommitdiffstats
path: root/tests/squid
diff options
context:
space:
mode:
authorJeff Bilyk <jbilyk@gmail.com>2010-12-11 23:31:39 +0000
committerJeff Bilyk <jbilyk@gmail.com>2010-12-11 23:31:39 +0000
commitac42a045d4691a46c96153dc794471e1a7dcbc06 (patch)
tree23840619e0d051c33970bada94a17634bced73d2 /tests/squid
parentefe777a86451495dcc9e4a898f9a380f8cb6c162 (diff)
downloadapts-ac42a045d4691a46c96153dc794471e1a7dcbc06.tar.bz2
apts-ac42a045d4691a46c96153dc794471e1a7dcbc06.tar.xz
apts: re-add tests from before previous commit
Re-add tests from before previous commit
Diffstat (limited to 'tests/squid')
-rw-r--r--tests/squid14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/squid b/tests/squid
new file mode 100644
index 0000000..c34a9b6
--- /dev/null
+++ b/tests/squid
@@ -0,0 +1,14 @@
+ apk_add $@
+ if ! [ test -e /etc/squid ];
+ then mkdir -p /etc/squid;
+ fi
+ echo "visible_hostname test.domain" >> /etc/squid/squid.conf
+ /etc/init.d/$@ start
+ pidof squid
+ /etc/init.d/$@ stop
+ i=10; while pidof $@; do \
+ [ $i -eq 0 ] && exit 1; \
+ i=$((i - 1)); \
+ sleep 1; \
+ done
+ apk_del $@